Bug 221321 - XEmacs Advanced Options Menu Nonfunctional
XEmacs Advanced Options Menu Nonfunctional
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs-packages-extra (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
https://bugzilla.novell.com/show_bug....
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 15:16 EST by Matt Fago
Modified: 2009-01-09 02:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:02:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 183805 None None None Never

  None (edit)
Description Matt Fago 2007-01-03 15:16:16 EST
Description of problem:

Latest XEmacs from fc6 extras has a nonfunctional menu:
Options -> Advanced -> Emacs
which hinders customization and causes XEmacs to backtrace.

Version-Release number of selected component (if applicable):
xemacs.x86_64 21.5.27-5.fc6

How reproducible: 100%

Steps to Reproduce:
1. Install (with OUT sources xemacs*-el)
xemacs.x86_64                            21.5.27-5.fc6          installed
xemacs-common.x86_64                     21.5.27-5.fc6          installed
xemacs-info.x86_64                       21.5.27-5.fc6          installed
xemacs-packages-base.noarch              20060510-3.fc6         installed
xemacs-packages-extra.noarch             20060510-4.fc6         installed
xemacs-packages-extra-info.noarch        20060510-4.fc6         installed

2. Run Xemacs
3. Select in menu Options -> Advanced -> Emacs
  
Actual results:
Get "No menu" and a lisp backtrace (see Novell Bugzilla)

Expected results:
Should see a very large list of things to customize (without a backtrace)

Additional info:
This was reported by the Novell SuSE bugzilla (see URL or reference below).
Their suggestion to install the lisp sources (xemacs*-el) causes XEmacs to try
to checkout something from CVS and then freeze.

Novell has a link to an upstream report to the XEmacs developers, but their
message-boards are down so I could not easily investigate further.
Comment 1 Ville Skyttä 2007-01-03 16:57:32 EST
Reproduced, unfortunately this looks like something that will take some time to
fix.  The issue is in xemacs-packages-extra.  In the meantime, one workaround is
indeed to install xemacs-packages-extra-el and its dependencies.

The CVS checkout issue is related but something different, caused by issues in
the upstream "build" lisp package.  It's not really useful for people not
involved with XEmacs development, so it can be removed eg. with (one long
command as root):

xemacs -batch -vanilla -l package-admin -eval
"(package-admin-delete-binary-package 'build \"/usr/share/xemacs/xemacs-packages\")"
Comment 2 Matt Fago 2007-01-04 09:40:57 EST
Thanks, workaround confirmed: the menu does work now, albeit somewhat slowly as
I guess it is using source vs compiled lisp.

Thanks for the command to remove the cvs checkout call. I imagine the freeze I
reported above was related to network or cvs issues.
Comment 3 Bug Zapper 2008-04-04 01:28:39 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Garrett Mitchener 2008-05-01 14:32:58 EDT
I'm still seeing this in fedora 8. (Bugzilla won't let me update this bug from
f6 to f8)

From the above discussion, it sounds like you've got a solution in mind.  It
would be nice to have this fixed in fedora 9...

There's some info about this bug on the SUSE bugzilla:

https://bugzilla.novell.com/show_bug.cgi?id=183805
Comment 5 Peter van Egdom 2008-05-03 19:03:29 EDT
Changing version from "6" to "8", as per comment #4.
Comment 6 Bug Zapper 2008-11-26 02:08:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:02:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.